<?xml version="1.0" encoding="utf-8"?>
<Document>
  <Engineering version="V20" />
  <SW.Blocks.GlobalDB ID="0">
    <AttributeList>
      <Interface><Sections xmlns="http://www.siemens.com/automation/Openness/SW/Interface/v5">
  <Section Name="Static">
    <Member Name="BlockNr" Datatype="UInt" Remanence="Retain">
      <Comment>
        <MultiLanguageText Lang="de-DE">Number of causing block</MultiLanguageText>
      </Comment>
    </Member>
    <Member Name="Reaction" Datatype="USInt">
      <Comment>
        <MultiLanguageText Lang="de-DE">0:ignore, 1:substitute, 2:skip</MultiLanguageText>
      </Comment>
    </Member>
    <Member Name="Fault_ID" Datatype="Byte">
      <Comment>
        <MultiLanguageText Lang="de-DE">Fault identifier</MultiLanguageText>
      </Comment>
    </Member>
    <Member Name="BlockType" Datatype="USInt">
      <Comment>
        <MultiLanguageText Lang="de-DE">16#01:OB, 16#02:FC, 16#03:FB, 16#04:SFC, 16#05:SFB, 16#06:DB: Type of block causing the error</MultiLanguageText>
      </Comment>
    </Member>
    <Member Name="Area" Datatype="USInt">
      <Comment>
        <MultiLanguageText Lang="de-DE">Area where the error occured</MultiLanguageText>
      </Comment>
    </Member>
    <Member Name="DBNr" Datatype="DB_ANY">
      <Comment>
        <MultiLanguageText Lang="de-DE">DB number if Area = DB or DI</MultiLanguageText>
      </Comment>
    </Member>
    <Member Name="Csg_OBNr" Datatype="OB_ANY">
      <Comment>
        <MultiLanguageText Lang="de-DE">Number of OB causing the error</MultiLanguageText>
      </Comment>
    </Member>
    <Member Name="Csg_Prio" Datatype="USInt">
      <Comment>
        <MultiLanguageText Lang="de-DE">Priority of OB causing the error</MultiLanguageText>
      </Comment>
    </Member>
    <Member Name="Width" Datatype="USInt">
      <Comment>
        <MultiLanguageText Lang="de-DE">0:bit, 1:byte, 2:word, 3:dword, 4:lword</MultiLanguageText>
      </Comment>
    </Member>
    <Member Name="sErrorText" Datatype="String[32]" Remanence="Retain" />
    <Member Name="xErrorActive" Datatype="Bool">
      <Comment>
        <MultiLanguageText Lang="de-DE">Ist nur true wenn OB121 ausgeführt wird</MultiLanguageText>
      </Comment>
    </Member>
  </Section>
</Sections></Interface>
      <MemoryLayout>Optimized</MemoryLayout>
      <MemoryReserve>100</MemoryReserve>
      <Name>DB_Error</Name>
      <Namespace />
      <Number>20</Number>
      <ProgrammingLanguage>DB</ProgrammingLanguage>
    </AttributeList>
    <ObjectList>
      <MultilingualText ID="1" CompositionName="Comment">
        <ObjectList>
          <MultilingualTextItem ID="2" CompositionName="Items">
            <AttributeList>
              <Culture>cs-CZ</Culture>
              <Text />
            </AttributeList>
          </MultilingualTextItem>
          <MultilingualTextItem ID="3" CompositionName="Items">
            <AttributeList>
              <Culture>de-DE</Culture>
              <Text />
            </AttributeList>
          </MultilingualTextItem>
          <MultilingualTextItem ID="4" CompositionName="Items">
            <AttributeList>
              <Culture>en-US</Culture>
              <Text />
            </AttributeList>
          </MultilingualTextItem>
        </ObjectList>
      </MultilingualText>
      <MultilingualText ID="5" CompositionName="Title">
        <ObjectList>
          <MultilingualTextItem ID="6" CompositionName="Items">
            <AttributeList>
              <Culture>cs-CZ</Culture>
              <Text />
            </AttributeList>
          </MultilingualTextItem>
          <MultilingualTextItem ID="7" CompositionName="Items">
            <AttributeList>
              <Culture>de-DE</Culture>
              <Text />
            </AttributeList>
          </MultilingualTextItem>
          <MultilingualTextItem ID="8" CompositionName="Items">
            <AttributeList>
              <Culture>en-US</Culture>
              <Text />
            </AttributeList>
          </MultilingualTextItem>
        </ObjectList>
      </MultilingualText>
    </ObjectList>
  </SW.Blocks.GlobalDB>
</Document>